## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global guile_ver 3.0

Name:    guile-gnutls
Version: 3.7.14
Release: %{?autorelease}%{!?autorelease:1%{?dist}}
Summary: Guile bindings for the GNUTLS library

License: GPL-3.0-or-later AND LGPL-2.1-or-later
URL:     https://gitlab.com/gnutls/guile
Source0: https://ftpmirror.gnu.org/gnutls/%{name}-%{version}.tar.gz
Source1: https://ftpmirror.gnu.org/gnutls/%{name}-%{version}.tar.gz.sig
Source2: https://ftp.gnu.org/gnu/gnu-keyring.gpg

Requires:      guile30
BuildRequires: gcc make
BuildRequires: gnupg2
BuildRequires: gnutls-devel
BuildRequires: guile30-devel

Provides:  gnutls-guile = %{version}-%{release}
Obsoletes: gnutls-guile <= 3.7.8-4


%description
GnuTLS is a secure communications library implementing the SSL, TLS and DTLS
protocols and technologies around them. It provides a simple C language
application programming interface (API) to access the secure communications
protocols as well as APIs to parse and write X.509, PKCS #12, OpenPGP and
other required structures.
This package contains Guile bindings for the library.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
guile_snarf=%{_bindir}/guile-snarf%{guile_ver}
GUILD=%{_bindir}/guild%{guile_ver}
export guile_snarf GUILD

%configure \
    --with-guile-extension-dir=%{_libdir}/guile/%{guile_ver}

%make_build


%install
%make_install
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -f $RPM_BUILD_ROOT%{_infodir}/gnutls*
rm -f $RPM_BUILD_ROOT%{_libdir}/guile/%{guile_ver}/guile-gnutls*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/guile/%{guile_ver}/guile-gnutls*.la


%check
#make check


%files
%license COPYING
%doc README ChangeLog AUTHORS NEWS
%{_libdir}/guile/%{guile_ver}/guile-gnutls*.so*
%{_libdir}/guile/%{guile_ver}/site-ccache/gnutls.go
%dir %{_libdir}/guile/%{guile_ver}/site-ccache/gnutls/
%{_libdir}/guile/%{guile_ver}/site-ccache/gnutls/extra.go
%{_datadir}/guile/site/%{guile_ver}/gnutls.scm
%dir %{_datadir}/guile/site/%{guile_ver}/gnutls/
%{_datadir}/guile/site/%{guile_ver}/gnutls/extra.scm


%changelog
## START: Generated by rpmautospec
* Wed Oct 09 2024 Peter Robinson <pbrobinson@gmail.com> - 3.7.14-2
- Update guile requires

* Mon Sep 30 2024 Peter Robinson <pbrobinson@gmail.com> - 3.7.14-1
- Update to 3.7.14

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 22 2023 Zoltan Fridrich <zfridric@redhat.com> - 3.7.11-1
- Initial import (fedora#2172108).
## END: Generated by rpmautospec
